Index: main/tcptls.c
===================================================================
--- main/tcptls.c	(revision 246337)
+++ main/tcptls.c	(working copy)
@@ -215,6 +215,11 @@
 	if (!tcptls_session->f) {
 		close(tcptls_session->fd);
 		ast_log(LOG_WARNING, "FILE * open failed!\n");
+#ifndef DO_SSL
+		if (tcptls_session->parent->tls_cfg) {
+			ast_log(LOG_WARNING, "Attempting to configure TLS without openssl support.  This will not work.\n");
+		}
+#endif
 		ao2_ref(tcptls_session, -1);
 		return NULL;
 	}
